	
$d = [Windows.Forms.MessageBox]::show("PowerShell Rocks", "PowerShell Rocks",
[Windows.Forms.MessageBoxButtons]::YesNo, [Windows.Forms.MessageBoxIcon]::Question)
 
If ($d -eq [Windows.Forms.DialogResult]::Yes)
{
    'Yes, PowerShell Rocks'
}
else
{
    "On no, you don't like me"
}